{% load static %}
{% with title="Reaction" %}
    {% include "header.html" %}
{% endwith %}

    {% if reaction.is_reactant_formula_missing %}
        <div class="warning">Cannot estimate &Delta;<sub><i>r</i></sub>G' because some of the compounds don't have an explicit chemical formula</div>
        {% include "parsed_reaction.html" %}
        The following compounds do not have an explicit chemical formula:
        <ul>
            {% for compound in reaction.reactants_with_missing_formula %}
                <li>{{ compound }}</li>
            {% endfor %}
        </ul>
    {% else %}
    {% if reaction.is_empty %}
        <div class="warning">Emtpy reaction!</div>
    {% else %}

    {% if not reaction.is_balanced and not reaction.is_half_reaction %}
        <div class="warning">Reaction is not balanced!
        {% if balance_with_water_link %}
        <a href="{{ balance_with_water_link }}">Balance with H<sub>2</sub>O</a>?
        {% endif %}
        {% if balance_with_coa_link %}
        <a href="{{ balance_with_coa_link }}">Balance with CoA</a>?
        {% endif %}
        {% if balance_with_pi_link %}
        <a href="{{ balance_with_pi_link }}">Balance with phosphate</a>?
        {% endif %}
        </div>
        {% include "parsed_reaction.html" %}
    {% else %}
    {% if reaction.standard_dg_prime == "<unknown>" %}
        <div class="warning">
            Cannot estimate &Delta;<sub><i>r</i></sub>G'&deg; because {{ reaction.no_dg_explanation|safe }} </br>
            <a href={% static "classic_rxns/faq.html" %}#not-available>Learn more &raquo;</a>
        </div>
        {% include "parsed_reaction.html" %}
    {% else %}
        {% if reaction.special_reaction_warning %}
            <div class="warning">
                {{ reaction.special_reaction_warning|safe}}
            </div>
        {% endif %}

        {% if reaction.is_half_reaction %}
            <div class="warning">
                This is a
                    {% if reaction.extra_electrons %}reduction{% else %}oxidation{% endif %}
                half-reaction
                <a href={% static "classic_rxns/faq.html" %}#half-reactions>Learn more &raquo;</a></br>
                <a href="{{ balance_electrons_link }}">Balance with NAD<sup>+</sup>/NADH</a>?
            </div>
        {% endif %}

        {% include "parsed_reaction.html" %}

        <form id="rxnForm" name="reactionForm" action="/reaction" method="get">
            <input type="hidden" name="query" value="{{ query }}" />

                {% if reaction.is_half_reaction %}
                    {% include "half_reaction_result_table.html" %}
                {% else %}
                    {% include "reaction_result_table.html" %}
                {% endif %}

                {% include "concentration_sub_table.html" %}

                    <input type="submit" value="Update" name="submit" onclick="form.target = '_self';" class="mui-btn mui-btn--primary"
                           title="update estimations for the chosen abundances, pH, pMg, and I"/>
                    <input type="submit" value="Reverse" name="submit" onclick="form.target = '_self';" class="mui-btn mui-btn--primary"
                           title="switch between substrates and products" />
                    <a href="{{ reaction.reset_link }}" class="mui-btn mui-btn--primary">Reset</a>
        </form>
    {% endif %}
    {% endif %}
    {% endif %}
    {% endif %}

{% include "footer.html" %}

